
Redmine - Defect #10303

Demo and test sites do not support basic authentication with REST API

2012-02-23 12:07 - Steven Peter Papp

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Website (redmine.org) Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

On the demo Redmine instance (http://demo.redmine.org) and on the personal test sites (*.m.redmine.org), basic authentication fails

both with the username/password and the API key method. Only public projects can be accessed/listed using the REST API. Since

on local instances it works fine, this is likely an issue with the server configuration.

History

#1 - 2012-02-23 12:51 - Jean-Philippe Lang

- Category set to Website (redmine.org)

This is an apache configuration issue. You can use the X-Redmine-API-Key header anyway, it works fine.

#2 - 2024-01-21 05:57 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix
